### Hierarchy

- NullRecord
  - IsEmptyQueryMarker

### Implements

- Record

## Index

### Properties

- singleton

### Accessors

- annotations
- backgroundColor
- foregroundColor
- id
- imageName
- imagePlacement
- isBoldText
- isItalicText
- isPlacementCenter
- isPlacementLeft
- isPlacementRight
- isPlacementStretchUnder
- isPlacementUnder
- isUnderline
- overrideText
- propCount
- propNames
- propValues
- properties
- tipText
- type

### Methods

- afterEffects
- annotationsAtName
- backgroundColorFor
- foregroundColorFor
- imageNameFor
- imagePlacementFor
- isBoldTextFor
- isItalicTextFor
- isPlacementCenterFor
- isPlacementLeftFor
- isPlacementRightFor
- isPlacementStretchUnderFor
- isPlacementUnderFor
- isUnderlineFor
- overrideTextFor
- propAtIndex
- propAtName
- tipTextFor
- toJSON
- toRecord
- valueAtName

## Properties

### Static singleton

singleton: IsEmptyQueryMarker = new IsEmptyQueryMarker()

Overrides NullRecord.singleton

- Defined in models/QueryScroller.ts:17

## Accessors

### annotations

- get annotations(): DataAnnotation[]

- Inherited from NullRecord.annotations

  - Defined in models/NullRecord.ts:14

  #### Returns DataAnnotation[]

### backgroundColor

- get backgroundColor(): string

- Inherited from NullRecord.backgroundColor

  - Defined in models/NullRecord.ts:26

  #### Returns string

### foregroundColor

- get foregroundColor(): string

- Inherited from NullRecord.foregroundColor

  - Defined in models/NullRecord.ts:34

  #### Returns string

### id

- get id(): string

- Inherited from NullRecord.id

  - Defined in models/NullRecord.ts:42

  #### Returns string

### imageName

- get imageName(): string

- Inherited from NullRecord.imageName

  - Defined in models/NullRecord.ts:46

  #### Returns string

### imagePlacement

- get imagePlacement(): string

- Inherited from NullRecord.imagePlacement

  - Defined in models/NullRecord.ts:54

  #### Returns string

### isBoldText

- get isBoldText(): boolean

- Inherited from NullRecord.isBoldText

  - Defined in models/NullRecord.ts:62

  #### Returns boolean

### isItalicText

- get isItalicText(): boolean

- Inherited from NullRecord.isItalicText

  - Defined in models/NullRecord.ts:70

  #### Returns boolean

### isPlacementCenter

- get isPlacementCenter(): boolean

- Inherited from NullRecord.isPlacementCenter

  - Defined in models/NullRecord.ts:78

  #### Returns boolean

### isPlacementLeft

- get isPlacementLeft(): boolean

- Inherited from NullRecord.isPlacementLeft

  - Defined in models/NullRecord.ts:86

  #### Returns boolean

### isPlacementRight

- get isPlacementRight(): boolean

- Inherited from NullRecord.isPlacementRight

  - Defined in models/NullRecord.ts:94

  #### Returns boolean

### isPlacementStretchUnder

- get isPlacementStretchUnder(): boolean

- Inherited from NullRecord.isPlacementStretchUnder

  - Defined in models/NullRecord.ts:102

  #### Returns boolean

### isPlacementUnder

- get isPlacementUnder(): boolean

- Inherited from NullRecord.isPlacementUnder

  - Defined in models/NullRecord.ts:110

  #### Returns boolean

### isUnderline

- get isUnderline(): boolean

- Inherited from NullRecord.isUnderline

  - Defined in models/NullRecord.ts:118

  #### Returns boolean

### overrideText

- get overrideText(): string

- Inherited from NullRecord.overrideText

  - Defined in models/NullRecord.ts:126

  #### Returns string

### propCount

- get propCount(): number

- Inherited from NullRecord.propCount

  - Defined in models/NullRecord.ts:142

  #### Returns number

### propNames

- get propNames(): string[]

- Inherited from NullRecord.propNames

  - Defined in models/NullRecord.ts:146

  #### Returns string[]

### propValues

- get propValues(): any[]

- Inherited from NullRecord.propValues

  - Defined in models/NullRecord.ts:154

  #### Returns any[]

### properties

- get properties(): Property[]

- Inherited from NullRecord.properties

  - Defined in models/NullRecord.ts:150

  #### Returns Property[]

### tipText

- get tipText(): string

- Inherited from NullRecord.tipText

  - Defined in models/NullRecord.ts:158

  #### Returns string

### type

- get type(): string

- Inherited from NullRecord.type

  - Defined in models/NullRecord.ts:162

  #### Returns string

## Methods

### afterEffects

- afterEffects(after: Record): Record

- Implementation of Record.afterEffects

  Inherited from NullRecord.afterEffects

  - Defined in models/NullRecord.ts:22

  #### Parameters

  - ##### after: Record

  #### Returns Record

### annotationsAtName

- annotationsAtName(propName: string): DataAnnotation[]

- Implementation of Record.annotationsAtName

  Inherited from NullRecord.annotationsAtName

  - Defined in models/NullRecord.ts:18

  #### Parameters

  - ##### propName: string

  #### Returns DataAnnotation[]

### backgroundColorFor

- backgroundColorFor(propName: string): string

- Implementation of Record.backgroundColorFor

  Inherited from NullRecord.backgroundColorFor

  - Defined in models/NullRecord.ts:30

  #### Parameters

  - ##### propName: string

  #### Returns string

### foregroundColorFor

- foregroundColorFor(propName: string): string

- Implementation of Record.foregroundColorFor

  Inherited from NullRecord.foregroundColorFor

  - Defined in models/NullRecord.ts:38

  #### Parameters

  - ##### propName: string

  #### Returns string

### imageNameFor

- imageNameFor(propName: string): string

- Implementation of Record.imageNameFor

  Inherited from NullRecord.imageNameFor

  - Defined in models/NullRecord.ts:50

  #### Parameters

  - ##### propName: string

  #### Returns string

### imagePlacementFor

- imagePlacementFor(propName: string): string

- Implementation of Record.imagePlacementFor

  Inherited from NullRecord.imagePlacementFor

  - Defined in models/NullRecord.ts:58

  #### Parameters

  - ##### propName: string

  #### Returns string

### isBoldTextFor

- isBoldTextFor(propName: string): boolean

- Implementation of Record.isBoldTextFor

  Inherited from NullRecord.isBoldTextFor

  - Defined in models/NullRecord.ts:66

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isItalicTextFor

- isItalicTextFor(propName: string): boolean

- Implementation of Record.isItalicTextFor

  Inherited from NullRecord.isItalicTextFor

  - Defined in models/NullRecord.ts:74

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementCenterFor

- isPlacementCenterFor(propName: string): boolean

- Implementation of Record.isPlacementCenterFor

  Inherited from NullRecord.isPlacementCenterFor

  - Defined in models/NullRecord.ts:82

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementLeftFor

- isPlacementLeftFor(propName: string): boolean

- Implementation of Record.isPlacementLeftFor

  Inherited from NullRecord.isPlacementLeftFor

  - Defined in models/NullRecord.ts:90

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementRightFor

- isPlacementRightFor(propName: string): boolean

- Implementation of Record.isPlacementRightFor

  Inherited from NullRecord.isPlacementRightFor

  - Defined in models/NullRecord.ts:98

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementStretchUnderFor

- isPlacementStretchUnderFor(propName: string): boolean

- Implementation of Record.isPlacementStretchUnderFor

  Inherited from NullRecord.isPlacementStretchUnderFor

  - Defined in models/NullRecord.ts:106

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementUnderFor

- isPlacementUnderFor(propName: string): boolean

- Implementation of Record.isPlacementUnderFor

  Inherited from NullRecord.isPlacementUnderFor

  - Defined in models/NullRecord.ts:114

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isUnderlineFor

- isUnderlineFor(propName: string): boolean

- Implementation of Record.isUnderlineFor

  Inherited from NullRecord.isUnderlineFor

  - Defined in models/NullRecord.ts:122

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### overrideTextFor

- overrideTextFor(propName: string): string

- Implementation of Record.overrideTextFor

  Inherited from NullRecord.overrideTextFor

  - Defined in models/NullRecord.ts:130

  #### Parameters

  - ##### propName: string

  #### Returns string

### propAtIndex

- propAtIndex(index: number): Property

- Implementation of Record.propAtIndex

  Inherited from NullRecord.propAtIndex

  - Defined in models/NullRecord.ts:134

  #### Parameters

  - ##### index: number

  #### Returns Property

### propAtName

- propAtName(propName: string): Property

- Implementation of Record.propAtName

  Inherited from NullRecord.propAtName

  - Defined in models/NullRecord.ts:138

  #### Parameters

  - ##### propName: string

  #### Returns Property

### tipTextFor

- tipTextFor(propName: string): string

- Implementation of Record.tipTextFor

  Inherited from NullRecord.tipTextFor

  - Defined in models/NullRecord.ts:166

  #### Parameters

  - ##### propName: string

  #### Returns string

### toJSON

- toJSON(): object

- Implementation of Record.toJSON

  Inherited from NullRecord.toJSON

  - Defined in models/NullRecord.ts:174

  #### Returns object

  - ##### id: string

  - ##### properties: Property[]

  - ##### type: TypeNames

### toRecord

- toRecord(): Record

- Inherited from NullRecord.toRecord

  - Defined in models/NullRecord.ts:170

  #### Returns Record

### valueAtName

- valueAtName(propName: string): any

- Implementation of Record.valueAtName

  Inherited from NullRecord.valueAtName

  - Defined in models/NullRecord.ts:182

  #### Parameters

  - ##### propName: string

  #### Returns any

Generated using TypeDoc